{"openapi":"3.0.0","servers":[{"description":"3Z - APIs de sincronismo","url":"https://3z.h.simova.cloud/nfs/api/v1"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/simova-153/3Z-SYNC-APIs/1.0.0"}],"info":{"version":"1.0.0","title":"3Z - APIs de sincronismo","description":"3Z - APIs de sincronismo"},"paths":{"/auth":{"post":{"summary":"Obtenção de autenticação","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"string","example":"email@dominio.com"},"password":{"type":"string","example":"minhaSenha"},"empresa":{"type":"string","example":"Matriz"}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Token gerado com sucesso."},"token":{"type":"string","example":"TOKEN GERADO"},"user":{"type":"string","example":"email@dominio.com"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/equipamento":{"post":{"summary":"Criação ou edição de um equipamento","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"Ativo":{"type":"string","example":"1"},"NumeroEquipamento":{"type":"string","example":"25032025"},"Placa":{"type":"string","example":"simova25"},"Frota":{"type":"string","example":"ABC"},"FlagDoisAbastecimento":{"type":"string","example":"0"},"FlagEqpAlugado":{"type":"string","example":"0"},"CapacidadeCombustivel":{"type":"string","example":"50.0"},"EqpInferior":{"type":"string","example":"2503A"},"EqpSuperior":{"type":"string","example":"2503B"},"TipoEquipamento":{"type":"string","example":"130201"},"ModeloEquipamento":{"type":"string","example":"PK38502"},"StatusEquipamento":{"type":"string","example":"3"}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Equipamento atualizado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"138"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/tarefa":{"post":{"summary":"Criação ou edição de uma tarefa","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"10042025"},"descricao":{"type":"string","example":"Tarefa Teste"},"numeroOperacao":{"type":"string","example":"020"},"tempoMaximo":{"type":"integer","example":4},"flagEnviaMobile":{"type":"integer","example":1},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Tarefa inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"7"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/motivo_pausa":{"post":{"summary":"Criação ou edição de um motivo de pausa","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"10042025"},"descricao":{"type":"string","example":"Motivo de Pausa"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Motivo de Pausa inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"7"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/material":{"post":{"summary":"Criação ou edição de um material","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoSAP":{"type":"string","example":"10042025"},"codigoCatalogo":{"type":"string","example":"10042025A"},"paginaCatalogo":{"type":"string","example":"10042025B"},"descricao":{"type":"string","example":"Material 001 Sincronismo"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Material inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/desvio":{"post":{"summary":"Criação ou edição de um desvio","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"10042025"},"descricao":{"type":"string","example":"Desvio Teste"},"tempoMaximo":{"type":"integer","example":4},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Desvio inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om":{"post":{"summary":"Criação ou edição de uma om","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"SYNC001XTESTE"},"status":{"type":"string","example":"1"},"dataAbertura":{"type":"string","format":"date","example":"09/04/2025"},"dataProgramada":{"type":"string","format":"date","example":"25/09/2025"},"localAtendimento":{"type":"string","example":"2"},"tipoAtendimento":{"type":"string","example":"2"},"tipoOM":{"type":"string","example":"2"},"equipamento":{"type":"string","example":"12359"},"observacao":{"type":"string","example":"Sincronismo de OM via Insomnia DEV"},"flagAssinaturaEncarregado":{"type":"integer","example":1},"flagHoraManual":{"type":"integer","example":1},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM atualizado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"2"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om_mecanico":{"post":{"summary":"Criação ou edição de uma OM x MECANICO","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoOM":{"type":"string","example":"SYNC001XTESTE"},"crachaMecanico":{"type":"string","example":"131"},"status":{"type":"string","example":"1"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM atualizado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"2"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om_tarefa":{"post":{"summary":"Criação ou edição de uma OM x TAREFA","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"ativo":{"type":"string","example":"1"},"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoOM":{"type":"string","example":"45678"},"status":{"type":"string","example":"1"},"codigo":{"type":"array","items":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"45678-020"},"numeroOperacao":{"type":"string","example":"020"},"descricao":{"type":"string","example":"VERIFICAÇÃO DO FILTRO AR"},"tempoMaximo":{"type":"string","example":"10"},"flagEnviaMobile":{"type":"string","example":"1"},"ativo":{"type":"string","example":"1"}}}}}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM x Tarefa inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om_tarefa_material":{"post":{"summary":"Criação ou edição de uma OM x TAREFA x MATERIAL","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoOM":{"type":"string","example":"SYNC001XTESTE"},"codigoTarefa":{"type":"string","example":"SYNC001XTAR"},"codigoMaterial":{"type":"string","example":"10042025"},"qtdRequisitada":{"type":"string","example":"3.00"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM x Tarefa x MATERIAL inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}}}}